{% extends "lab_10/layout/base.html" %}

{% block content %}
<!-- List Movie -->
<div class="panel panel-info">
    <div class="panel-heading">
        <h2> List Movie </h2>
    </div>
    <div class="panel-body">
        <div style="margin:20px; padding:20px; background-color:lightsteelblue; border-radius:3px;">
            <form method="GET" action="{% url 'lab-10:movie_list' %}" class="form-inline">
                <label> Nama </label> <input type="text" class="form-control" name="judul" placeholder="Judul"
                                             value="{{judul}}">
                <label> Tahun </label> <input type="text" class="form-control" name="tahun" placeholder="Tahun"
                                              value="{{tahun}}">
                <input type="submit" class="btn btn-primary pull-right" value="Search">
            </form>
        </div>
        <hr>
        <div class="table table-responsive">
            <table class="table table-hover" id="myTable" style="width: none;">
                <thead>
                <th> Judul</th>
                <th> Tahun</th>
                <th> Poster</th>
                <th> Detail</th>
                </thead>
            </table>
        </div>
    </div>
</div>

<!-- Jquery script -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script type="text/javascript">
    $(document).ready(function(e) {
        $('#myTable').DataTable( {
            "ajax": {
                "dataType" : 'json',
                "contentType": "application/json; charset=utf-8",
                "url": {% autoescape off %} {{ jsonUrlDT }} {% endautoescape%} ,
                "dataSrc":"dataku",
            },
            "columns" : [
                {"data" : "Title"},
                {"data" : "Year"},
                {
                    "data" : "Poster",
                    "fnCreatedCell": function (nTd, sData, oData, iRow, iCol) {
                        $(nTd).html("<img src='"+ oData.Poster +"' style='height:50%' class='img-responsive img-thumbnail'/>");
                    }
                },
                {
                    "data" : null,
                    "fnCreatedCell": function (nTd, sData, oData, iRow, iCol) {
                        $(nTd).html("<a href='/lab-10/movie/detail/"+ oData.imdbID +"/' class='btn btn-primary'> Detail </a>");
                    }
                }
            ],
        } );
    });
</script>

{% endblock %}